predict.kqr {kernlab} | R Documentation

## Predict method for kernel Quantile Regression object

### Description

Prediction of test data for kernel quantile regression

### Usage

    ## S4 method for signature 'kqr'
    predict(object, newdata)

### Arguments

`object` | an S4 object of class `kqr` created by the `kqr` function
`newdata` | a data frame, matrix, or kernelMatrix containing new data

### Value

The value of the quantile given by the computed `kqr` model in a vector of length equal to the the rows of `newdata`.

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### Examples

    # create data
    x <- sort(runif(300))
    y <- sin(pi*x) + rnorm(300,0,sd=exp(sin(2*pi*x)))

    # first calculate the median
    qrm <- kqr(x, y, tau = 0.5, C=0.15)

    # predict and plot
    plot(x, y)
    ytest <- predict(qrm, x)
    lines(x, ytest, col="blue")

    # calculate 0.9 quantile
    qrm <- kqr(x, y, tau = 0.9, kernel = "rbfdot",
               kpar= list(sigma=10), C=0.15)
    ytest <- predict(qrm, x)
    lines(x, ytest, col="red")

[Package kernlab version 0.9-27 Index]